/**
 *
 * Copyright (C) 2005, Andrew Oliver
 *
 * Information about VncSix is available at: http://frequal.com/roku/VncSix/index.html
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __VNCPREFS_H_
#define __VNCPREFS_H_

#include "cascade/Cascade.h"

class VncPrefs : public CascadeSettings {
 public:
  VncPrefs();

  void savePassword(CascadeString strServer, const char* pszPassword);
  bool getPassword(CascadeString strServer, CascadeString& strPassword);
  void removePassword(CascadeString strServer);

  int getServerCount();
  CascadeString getServer(int iiServer);

 private:
  void readServerList();
  void writeServerList();
  void addToList(CascadeString strServer);
  int removeFromList(CascadeString strServer);

  const int ciServersMax;
  int ciServers;
  CascadeString astrServer[50];
  CascadeString strServerListName;
};

extern "C" {
int getPassword(char* pszServer, char* pszPassword);
}

#endif
